package com.pisoftware.platypus.pond;

import java.io.*;
import java.lang.*;
import java.util.*;

/**
 * Contains code to wrap round the beginning and end of a code block.
 **/

/*
 *  Copyright (C) 1999 Plugged In Software Pty Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Plugged In Software
 *  PO Box 4130
 *  St. Lucia South Queensland
 *  Australia  4067
 *  info@PIsoftware.com
 */

public class Wrapper{

  String beforeCode ; 
  String afterCode ; 

  public String wrap( String centreCode ){ 
    return beforeCode + centreCode + afterCode ; 
  }

  public Wrapper( String beforeCode, String afterCode ){ 
    this.beforeCode = beforeCode ; 
    this.afterCode = afterCode ; 
  }

  public Wrapper(){ 
    this( "", "" ); 
  }
}
