package com.pisoftware.platypus.production;

import java.util.*;

/**
 *  Author: <A HREF="MAILTO:guy@pisoftware">Guy Smith</A>
 *<P>
 * Company: Plugged In Software<BR>
 *          P.O. Box 4130<BR>
 *          St Lucia South<BR>
 *          Brisbane Queensland 4067<BR>
 *          Australia<BR>
 * <A HREF="http://www.plugged.net.au/">http://www.plugged.net.au</A><BR>
 *
 * 
 * <P>Class <CODE>VersionInfo</CODE> provides Platypus version
 * information. This is incorporated into the generated code.
 **/

/*
 *  Copyright (C) 1999 Plugged In Software Pty Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Plugged In Software
 *  PO Box 4130
 *  St. Lucia South Queensland
 *  Australia  4067
 *  info@PIsoftware.com
 */

public class VersionInfo {

    /** 
     * @return current version string for Platypus
     **/
    public static String version(){ return "1.01" ; }

    /**
     * First released version of Platypus. 
     **/
    public static String version1999Sep(){ return "1.0" ; }

}

