package com.pisoftware.quicksort.event;

import java.util.*;

// Interface:       SortListener

/**
 *
 *  Version: 1.0<p>
 *
 *  Author: <A HREF="MAILTO:cryan@plugged.net.au">Chris Ryan</A><p>
 *
 * Company: <blocquote>Plugged In Software<br>
 *             P.O. Box 4130<br>
 *             St Lucia South<br>
 *             Brisbane Queensland 4067<br>
 *             Australia<br>
 *             <a href="http://www.plugged.net.au/">http://www.plugged.net.au</a><br>
 *
 *<p>
 *  Date:       15 September 1997
 *<p>
 *<dl><dt>Purpose:
 *      <dd>Provides the interface to be implemented to receive sort events.
 *                </dl>
 *
 *<dl><dt> Modification
 *  History:<dd>
 *</dl>
*/

/*
 *  Copyright (C) 1999 Plugged In Software Pty Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Plugged In Software
 *  PO Box 4130
 *  St. Lucia South Queensland
 *  Australia  4067
 *  info@PIsoftware.com
 */

public interface SortListener extends EventListener {


/**
 * Invoked when sorting is complete. 
 */
  public abstract void sortCompleted(SortEvent e);

}
