package timesheet.business.entry;

import com.lutris.appserver.server.*;
import com.lutris.appserver.server.sql.*;
import com.lutris.appserver.server.httpPresentation.*;
import timesheet.*;
import timesheet.data.*;
import timesheet.business.*;
import java.util.*;
import com.lutris.dods.builder.sourceGenerators.Query.*;
import com.pisoftware.platypus.production.*;

/**
 * Date Created: Oct 22, 1999
 *<P>
 * Purpose: This class is a BO for the EditWorkItemsQuery PO.  
 *
 */
public class EditWorkItemsQueryBO extends EntryBO {


/**
 * Constructor.  Creates the object, and initialises the appropriate variables, etc.
 *
 * @param comms  Used to get the session data required
 * @exception ApplicationException All exceptions are caught and redirected to this.
 */
  public EditWorkItemsQueryBO(HttpPresentationComms comms) throws ApplicationException {

    super(comms);

  }
    
   
/**   
 * Returns the list of pulldown items for the name passed.
 *  
 * @param pulldown_name  The Pulldown name to query for
 * @return an array of PulldownDOs containing the list of values for this pulldown name, null or empty array if none found.
 * @exception ApplicationException All exceptions are caught and redirected to this.
 */   
  public PulldownItem[] getPulldownItems(String pulldown_name) throws ApplicationException {

    /*
     * Add your code here if you want to override/add pulldown item(s).
     */
  
    return super.getPulldownItems(pulldown_name);

  }


/*

  No Access Method(s) Generated!
*/

/*
  No Commit Method(s) Generated!
*/

/*
  No getIdValue Method(s) Generated!
*/


/*
 * Start of getBusinessIdValue Method
*/


/**
 * Provides information for the ID passed.
 * 
 * @param id  The id who's value is to be returned.
 * @param format  Determines what formatting is required for the id's value
 * @return A String representing the value retrieved.
 * @exception ApplicationException All exceptions are caught and redirected to this.
 */
  public String getBusinessIdValue(String id, String format) throws ApplicationException {

    String result_str = "";
    boolean id_found = false;

    if (id.equalsIgnoreCase("TodayDate")) {

      id_found = true;

      /* TODO: Handle this id */

    } else     if (id.equalsIgnoreCase("TodayDate1")) {

      id_found = true;

      /* TODO: Handle this id */

    }

    // was the id found?
    if (!id_found) {

      // no
      return super.getBusinessIdValue(id,format);

    }

    // return the (formatted) result
    return result_str;

  }


/*
 * End of getBusinessIdValue Method
*/



}

