/* This SQL was generated for a Standard JDBC database. */

create table PitBoss
(
/* class PitBoss */
    GameName VARCHAR(32) DEFAULT "" NOT NULL  ,
    TotalDollars INTEGER  NOT NULL  ,
    TotalBankrupt INTEGER  NOT NULL  ,
    TotalHandsDealt INTEGER  NOT NULL  ,
    TotalHandsWon INTEGER  NOT NULL  ,

    /* NOTICE: */
    /* This table represents a Data Object class  */
    /* derived from dods.builder.sourceGenerators.DO.GenericDO. */
    /* The class GenericDO contains: */
    /* 1) an ObjectId (oId)     which is stored as a DECIMAL(19,0) */
    /* 2) an int      (version) which is stored as an INTEGER */
    /* When creating Data Objects in DODS, these two columns */
    /* (a.k.a class members, Data Object Attributes) */
    /* should never be defined explicitly. */

    /* These columns are defined here at the end of the */
    /* CREATE TABLE statement to simplify the handling of commas. */
    oId DECIMAL(19,0) NOT NULL PRIMARY KEY,
    version INTEGER NOT NULL

);

CREATE INDEX I1_PitBoss ON PitBoss(GameName);

