/* This SQL was generated for a PostgreSQL database. */

create table t_company
(
/* class Company */
Name VARCHAR(255)  UNIQUE NOT NULL   ,
PhysicalStreet VARCHAR(255)      ,
PhysicalCity VARCHAR(255)      ,
PhysicalPostCode VARCHAR(255)      ,
PhysicalState VARCHAR(255)      ,
PostalStreet VARCHAR(255)      ,
PostalCity VARCHAR(255)      ,
PostalPostCode VARCHAR(255)      ,
PostalState VARCHAR(255)      ,
Country VARCHAR(255)      ,
Phone VARCHAR(255)      ,
Fax VARCHAR(255)      ,
URL VARCHAR(255)      ,

    /* NOTICE: */
    /* This table represents a Data Object class  */
    /* derived from dods.builder.sourceGenerators.DO.GenericDO. */
    /* The class GenericDO contains: */
    /* 1) an ObjectId (objectID)     which is stored as a DECIMAL(19,0) */
    /* 2) an int      (objectVersion) which is stored as an INTEGER */
    /* When creating Data Objects in DODS, these two columns */
    /* (a.k.a class members, Data Object Attributes) */
    /* should never be defined explicitly. */

    /* These columns are defined here at the end of the */
    /* CREATE TABLE statement to simplify the handling of commas. */
    objectID INT8 NOT NULL PRIMARY KEY,
    objectVersion INT4 NOT NULL

);

CREATE INDEX I1_t_company ON t_company(Name);

