package timesheet.business.maintenance;

import com.lutris.appserver.server.*;
import com.lutris.appserver.server.sql.*;
import com.lutris.appserver.server.httpPresentation.*;
import timesheet.*;
import timesheet.data.*;
import timesheet.business.*;
import java.util.*;
import com.lutris.dods.builder.sourceGenerators.Query.*;
import com.pisoftware.platypus.production.*;

/**
 * Date Created: Oct 22, 1999
 *<P>
 * Purpose: This class is a BO for the AddPersonCommit PO.  
 *
 */
public class AddPersonCommitBO extends MaintenanceBO {


/**
 * Constructor.  Creates the object, and initialises the appropriate variables, etc.
 *
 * @param comms  Used to get the session data required
 * @exception ApplicationException All exceptions are caught and redirected to this.
 */
  public AddPersonCommitBO(HttpPresentationComms comms) throws ApplicationException {

    super(comms);

  }
    
   
/**   
 * Returns the list of pulldown items for the name passed.
 *  
 * @param pulldown_name  The Pulldown name to query for
 * @return an array of PulldownDOs containing the list of values for this pulldown name, null or empty array if none found.
 * @exception ApplicationException All exceptions are caught and redirected to this.
 */   
  public PulldownItem[] getPulldownItems(String pulldown_name) throws ApplicationException {

    /*
     * Add your code here if you want to override/add pulldown item(s).
     */
  
    return super.getPulldownItems(pulldown_name);

  }


/*

  No Access Method(s) Generated!
*/


/*
 * Start of Commit Methods
*/


/**
 * commitAddPerson: Commit method for use by the PO layer.
 * 
 * @param AuthorisationLevel Parameter supplied by PO
 * @param CompanyId Parameter supplied by PO
 * @param Email Parameter supplied by PO
 * @param Fax Parameter supplied by PO
 * @param FirstName Parameter supplied by PO
 * @param Phone Parameter supplied by PO
 * @param PublicPassword Parameter supplied by PO
 * @param Surname Parameter supplied by PO
 * @param Title Parameter supplied by PO
 * @param Type Parameter supplied by PO
 * @param UserName Parameter supplied by PO
 * @return The ObjectId, as a String, for the record added/updated
 * @exception ApplicationException All exceptions are caught and redirected to this.
 */
  public String commitAddPerson(String AuthorisationLevel, String CompanyId, String Email, String Fax, String FirstName, String Phone, String PublicPassword, String Surname, String Title, String Type, String UserName) throws ApplicationException {

    /*
     * Insert your code in here to do the add/update.
     */

    // DBG
    return "FIX THIS!";

  }


/**
 * commitEditPerson: Commit method for use by the PO layer.
 * 
 * @param PersonId Parameter supplied by PO
 * @param AuthorisationLevel Parameter supplied by PO
 * @param CompanyId Parameter supplied by PO
 * @param Email Parameter supplied by PO
 * @param Fax Parameter supplied by PO
 * @param FirstName Parameter supplied by PO
 * @param Phone Parameter supplied by PO
 * @param PublicPassword Parameter supplied by PO
 * @param Surname Parameter supplied by PO
 * @param Title Parameter supplied by PO
 * @param Type Parameter supplied by PO
 * @param UserName Parameter supplied by PO
 * @return The ObjectId, as a String, for the record added/updated
 * @exception ApplicationException All exceptions are caught and redirected to this.
 */
  public String commitEditPerson(String PersonId, String AuthorisationLevel, String CompanyId, String Email, String Fax, String FirstName, String Phone, String PublicPassword, String Surname, String Title, String Type, String UserName) throws ApplicationException {

    /*
     * Insert your code in here to do the add/update.
     */

    // DBG
    return "FIX THIS!";

  }



/*
 * End of Commit Methods
*/



/*
  No getIdValue Method(s) Generated!
*/

/*
  No getBusinessIdValue Method Generated!
*/

}

